<?php

use Illuminate\Database\Migrations\Migration;

class CreateClientDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: client_details
         */
        Schema::create('client_details', function ($table) {
            $table->increments('id');
            $table->string('f_name', 255)->nullable();
            $table->string('m_name', 255)->nullable();
            $table->string('l_name', 255)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('client_details');
    }
}
